Forum darktable FR

Version complète : DT 3.6 script Lua
Vous consultez actuellement la version basse qualité d’un document. Voir la version complète avec le bon formatage.
bonsoir à tous,

je viens d'installer la 3.6 sous Windows10 (bravo l'équipe de développement), tout semble ok, sauf la remise en place des scripts Lua que j'utilise... aucun n'apparait bien que le fichier "Luac" soit bien placé, du moins comme précédemment
require "contrib/clear_GPS"
require "contrib/select_untagged"
require "contrib/ext_editor" 


Suivant la nouvelle donc, dans les préférences il devrait y avoir une ligne "lua options" qui n'existe pas !?

est-ce quelqu'un à une idée?

merci d'avance
Il semblerait que le support Lua ait été oublié dans le paquet Windows. Un rapport de bug a été publié.en attente du correctif.
(03-07-21, 23:53)nicoauffray a écrit : [ -> ]Il semblerait que le support Lua ait été oublié dans le paquet Windows. Un rapport de bug a été publié.en attente du correctif.

Merci bien,
bon week-end
La gestion des scripts a complètement changer depuis la version 3.4.1 sous Linux (je sais pas si c'était la même chose sous Windows). Un script avait été proposé pour pouvoir activer/désactiver les scripts Lua directement depuis la table lumineuse ainsi que la récupération des sources des scripts.
Donc actuellement, il n'y a plus besoin d'écrire un script "luarc" avec les "require" dans le répertoire et ce script n'est plus utile (j'ai pas testé sous Windows, je regarderais quand j'y serait) : c'est script-manager qui permet la gestion de scripts lua :
[Image: image.png]